-- HealthValues by Link

local VERSION = "1.6.0";

function HealthValues_OnLoad()
	DEFAULT_CHAT_FRAME:AddMessage("HealthValues " .. VERSION .. " loaded.");
end

function HealthValues_HealthOnLoad()  
	this:RegisterEvent("UNIT_HEALTH");
	this:RegisterEvent("UNIT_MAXHEALTH");
	this:RegisterEvent("VARIABLES_LOADED");
end

function HealthValues_HealthOnEvent(arg1)
	local hitpoints = UnitHealth("player") .. "/" .. UnitHealthMax("player");
	HealthValue:SetText(hitpoints);
end

function HealthValues_ManaOnLoad()  
	this:RegisterEvent("UNIT_MANA");
	this:RegisterEvent("UNIT_RAGE");
	this:RegisterEvent("UNIT_FOCUS");
	this:RegisterEvent("UNIT_ENERGY");
	this:RegisterEvent("UNIT_MAXMANA");
	this:RegisterEvent("UNIT_MAXRAGE");
	this:RegisterEvent("UNIT_MAXFOCUS");
	this:RegisterEvent("UNIT_MAXENERGY");
	this:RegisterEvent("UNIT_DISPLAYPOWER");
	this:RegisterEvent("VARIABLES_LOADED");
end


function HealthValues_ManaOnEvent(arg1)
	local mana = UnitMana("player") .. "/" .. UnitManaMax("player");
	ManaValue:SetText(mana);
end

-- This set of tricks borrowed from CTMod_UnitFrames
HealthValues_OldShowTextStatusBarText = ShowTextStatusBarText;
function HealthValues_ShowTextStatusBarText(bar)
	if ( bar ~= PlayerFrameManaBar and bar ~= PlayerFrameHealthBar ) then
		HealthValues_OldShowTextStatusBarText(bar);
	end
end
ShowTextStatusBarText = HealthValues_ShowTextStatusBarText;